import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The spray paint button
 *
 * @author Hannah Chadd.
 *         Created Apr 14, 2008.
 */
public class sprayButton extends JButton implements ActionListener,
		MouseListener {

	/** Creates a spray paint button */
	public sprayButton() {
		super("Spray Paint");
	
	}
	public void actionPerformed(ActionEvent e) {
		// Empty

	}

	public void mouseClicked(MouseEvent e) {
		// Empty

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty

	}

	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(10);
	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

}
